<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>libmcm: File Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">libmcm
   &#160;<span id="projectnumber">1.4.0</span>
   </div>
   <div id="projectbrief">A client library for Moxa Connection Management</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('globals_eval.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;<ul>
<li>CON_STATE_CONFIGURE_FAILED
: <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a0e30c26dee8ff0dab7a1be848efe98e3">mcm-network-info.h</a>
</li>
<li>CON_STATE_CONFIGURED
: <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680ab7f9d8f97207f2ac82a12fe71793680a">mcm-network-info.h</a>
</li>
<li>CON_STATE_CONNECTED
: <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a517e3e35a511fdead2450b9dd38ff05e">mcm-network-info.h</a>
</li>
<li>CON_STATE_DEVICE_READY
: <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a409ce0710cd276f7fd93d84b9df149dd">mcm-network-info.h</a>
</li>
<li>CON_STATE_DEVICE_UNAVAILABLE
: <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680ad889eb604ab763554041bf00f0eeddec">mcm-network-info.h</a>
</li>
<li>CON_STATE_DISABLED
: <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680aea2657ecd7f07685f764f118fed9e3da">mcm-network-info.h</a>
</li>
<li>CON_STATE_DISABLING
: <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a76474e4498b5dd4b969631f9f5ab7e73">mcm-network-info.h</a>
</li>
<li>CON_STATE_DISCONNECTED
: <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a3ee23ba01884227587c7c2d36e288d49">mcm-network-info.h</a>
</li>
<li>CON_STATE_ERROR
: <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680ab678f4e08269f28971bf10e7168602cb">mcm-network-info.h</a>
</li>
<li>CON_STATE_INITIAL
: <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a4cb11d2bbf7e48e034a6d84e76664b3b">mcm-network-info.h</a>
</li>
<li>CON_STATE_RECONNECT
: <a class="el" href="mcm-network-info_8h.html#a443aac362a3654ed26d1d71c2fd77680a068d9915e09f097b6bce00ac2986b031">mcm-network-info.h</a>
</li>
<li>MCM_EINVAL
: <a class="el" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55bafc28e6732c8b72f3b691b93fc32ab354">mcm-base-info.h</a>
</li>
<li>MCM_ENODEV
: <a class="el" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55bae0b10993acf8b007c6f747a248e1b70d">mcm-base-info.h</a>
</li>
<li>MCM_ENOMEM
: <a class="el" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55ba7761ae70078b4cbe759e2cebf8516142">mcm-base-info.h</a>
</li>
<li>MCM_GENERIC_ERR
: <a class="el" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55baa30cb642bdbadb0d8bb23f5ebab1e2ad">mcm-base-info.h</a>
</li>
<li>MCM_MODEM_STATE_CONNECTED
: <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32aa84ae07332ea1c0504a30495d6131bb7">mcm-modem-info.h</a>
</li>
<li>MCM_MODEM_STATE_CONNECTING
: <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32afe24b1f6dbea1f97ee9c310bcb274ea3">mcm-modem-info.h</a>
</li>
<li>MCM_MODEM_STATE_INITIALIZING
: <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32aceae074bcb388fcb2cc0d68c9d78893c">mcm-modem-info.h</a>
</li>
<li>MCM_MODEM_STATE_NO_SIM
: <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32abcf84ee8343cab55d5aaa28df645f93c">mcm-modem-info.h</a>
</li>
<li>MCM_MODEM_STATE_NOT_READY
: <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32ad0cf432ab051e6b380cedc418a319487">mcm-modem-info.h</a>
</li>
<li>MCM_MODEM_STATE_PIN_LOCKED
: <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a53917931b6ce02779a6379a62e0bbec4">mcm-modem-info.h</a>
</li>
<li>MCM_MODEM_STATE_PUK_LOCKED
: <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32acf1c9438d153da2c7264db174f8663fb">mcm-modem-info.h</a>
</li>
<li>MCM_MODEM_STATE_RADIO_OFF
: <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a2fcc38a8cf59637e5c2a64c3fa63077c">mcm-modem-info.h</a>
</li>
<li>MCM_MODEM_STATE_RADIO_ON
: <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32af11dd7d91b6e0f5fc892b1c83ed61009">mcm-modem-info.h</a>
</li>
<li>MCM_MODEM_STATE_REGISTERED
: <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a1a81741fe0946f734851ccff3a5ff731">mcm-modem-info.h</a>
</li>
<li>MCM_MODEM_STATE_SEARCHING
: <a class="el" href="mcm-modem-info_8h.html#ad2bb07396a290d6e6e8cebaf8e019d32a9445f907dc7e6234c0c8c2d6203b7da0">mcm-modem-info.h</a>
</li>
<li>MCM_SUCCESS
: <a class="el" href="mcm-base-info_8h.html#a06fc87d81c62e9abb8790b6e5713c55ba419bd2f4bbb6784c5f4ab404636e9c85">mcm-base-info.h</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1 </li>
  </ul>
</div>
</body>
</html>
